<?php
	
	include_once( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
	include_once( PLOG_CLASS_PATH."class/view/admin/adminblogcategorieslistview.class.php" );
	
	class AdminBlogCategoriesAction extends SiteAdminAction
	{
			
		function AdminBlogCategoriesAction( $actionInfo, $request )
		{
			$this->SiteAdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
			$searchTerms = $this->_request->getValue( "searchTerms" );
			$this->_view = new AdminBlogCategoriesListView( $this->_blogInfo, Array( "searchTerms" => $searchTerms ));
			$this->setCommonData();
		}
	}
?>